commit:     31c09bb4c06a4a8fa57038d6059821579af61880
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  5 18:02:51 2017 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue Sep  5 18:32:26 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31c09bb4

games-emulation/mekanix: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082
Package-Manager: Portage-2.3.6, Repoman-2.3.2

 games-emulation/mekanix/mekanix-070-r1.ebuild | 33 +++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/games-emulation/mekanix/mekanix-070-r1.ebuild 
b/games-emulation/mekanix/mekanix-070-r1.ebuild
new file mode 100644
index 00000000000..ee7f2d85c12
--- /dev/null
+++ b/games-emulation/mekanix/mekanix-070-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="SG-1000, SC-3000, SF-7000, SSC, SMS, GG, COLECO, and OMV emulator"
+HOMEPAGE="http://www.smspower.org/meka/";
+SRC_URI="http://www.smspower.org/meka/releases/${PN}${PV}.tgz";
+
+LICENSE="mekanix"
+SLOT="0"
+KEYWORDS="~x86"
+RESTRICT="strip"
+IUSE=""
+
+RDEPEND="media-libs/libpng
+       x11-libs/libXpm"
+
+S=${WORKDIR}/${PN}
+
+# file verfies that it's an elf, not win32, binary:
+QA_PREBUILT="opt/${PN}/meka.exe"
+
+src_install() {
+       local dir="/opt/${PN}"
+
+       insinto "${dir}"
+       doins * || die "doins failed"
+       fperms a+x "${dir}/meka.exe"
+       make_wrapper mekanix ./meka.exe "${dir}"
+}

Reply via email to